package com.yanzhu.jh.project.mapper;

import com.yanzhu.jh.project.domain.SurProject;
import com.yanzhu.jh.project.domain.vo.ProjectViewExport;
import com.yanzhu.jh.project.domain.vo.ProjectViewJlExport;

import java.util.List;

/**
 * 项目建设节点Mapper接口
 *
 * @author JiangYuQi
 * @date 2023-08-07
 */
public interface ProjectViewMapper {

    /**
     * 项目数据汇总
     * @param surProject
     * @return
     */
    public List<ProjectViewExport> selectStatisticsProjectList(SurProject surProject);

    /**
     * 监理单位项目数据汇总
     * @param surProject
     * @return
     */
    public List<ProjectViewJlExport> selectStatisticsJlProjectList(SurProject surProject);

}
