package com.yanzhu.jh.trouble.mapper;

import java.util.List;
import com.yanzhu.jh.trouble.domain.SmzSspProblemmodifyDraft;

/**
 * 随手拍问题整改质量留痕信息Mapper接口
 * 
 * @author JiangYuQi
 * @date 2023-10-15
 */
public interface SmzSspProblemmodifyDraftMapper 
{
    /**
     * 查询随手拍问题整改质量留痕信息
     * 
     * @param id 随手拍问题整改质量留痕信息主键
     * @return 随手拍问题整改质量留痕信息
     */
    public SmzSspProblemmodifyDraft selectSmzSspProblemmodifyDraftById(Long id);

    /**
     * 查询随手拍问题整改质量留痕信息列表
     * 
     * @param smzSspProblemmodifyDraft 随手拍问题整改质量留痕信息
     * @return 随手拍问题整改质量留痕信息集合
     */
    public List<SmzSspProblemmodifyDraft> selectSmzSspProblemmodifyDraftList(SmzSspProblemmodifyDraft smzSspProblemmodifyDraft);

    /**
     * 新增随手拍问题整改质量留痕信息
     * 
     * @param smzSspProblemmodifyDraft 随手拍问题整改质量留痕信息
     * @return 结果
     */
    public int insertSmzSspProblemmodifyDraft(SmzSspProblemmodifyDraft smzSspProblemmodifyDraft);

    /**
     * 修改随手拍问题整改质量留痕信息
     * 
     * @param smzSspProblemmodifyDraft 随手拍问题整改质量留痕信息
     * @return 结果
     */
    public int updateSmzSspProblemmodifyDraft(SmzSspProblemmodifyDraft smzSspProblemmodifyDraft);

    /**
     * 删除随手拍问题整改质量留痕信息
     * 
     * @param id 随手拍问题整改质量留痕信息主键
     * @return 结果
     */
    public int deleteSmzSspProblemmodifyDraftById(Long id);

    /**
     * 批量删除随手拍问题整改质量留痕信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSmzSspProblemmodifyDraftByIds(Long[] ids);
}
